package com.merchantsofrome.server.model

import org.hibernate.annotations.Immutable
import javax.persistence.*
import javax.validation.constraints.NotNull

@Entity
@Immutable
data class Fortune (
        @Id
        @Column(name = "username", unique = true, nullable = false)
        @NotNull
        val username: String = "",

        val fortune: Int = 0
)