package com.merchantsofrome.server.model

import com.fasterxml.jackson.annotation.JsonBackReference
import com.merchantsofrome.server.model.id_class.QuestPK
import javax.persistence.*

@Entity
@IdClass(QuestPK::class)
data class Quest (

        @Id
        val questId: Int = 0,

        @Id
        @ManyToOne
        @JsonBackReference
        val account: Account? = null,

        val checkpointReached: Int = -1,

        val finished: Boolean = false

)