package com.merchantsofrome.server.model.id_class

import com.merchantsofrome.server.model.Account
import java.io.Serializable
import javax.persistence.IdClass

@IdClass(OreAccountPK::class)
class OreAccountPK : Serializable {

    var oreId: Int = -1
    var account: Account? = null

    init {
        this.oreId = oreId
        this.account = account
    }

    override fun equals(other: Any?): Boolean {
        if (other is OreAccountPK) {
            val oreAccountPK = other as OreAccountPK?
            if (this.account!!.username == oreAccountPK!!.account!!.username && this.oreId == oreAccountPK.oreId) {
                return true
            }
        }
        return false
    }

    override fun hashCode(): Int {
        return super.hashCode()
    }
}