package com.merchantsofrome.server.model.id_class

import com.merchantsofrome.server.model.Account
import java.io.Serializable
import javax.persistence.IdClass

@IdClass(QuestPK::class)
class QuestPK : Serializable {

    var questId: Int = 0
    var account: Account? = null
    init{
        this.questId=questId
        this.account=account
    }
    // The override of equals, see the rules mentioned above for creating a composite primary key
    override fun equals(other: Any?): Boolean {
        if (other is QuestPK) {
            val questPK = other as QuestPK?
            if (this.questId == questPK!!.questId &&this.account!!.username == questPK.account!!.username) {
                return true
            }
        } else {
            return false
        }
        return false
    }

    // The override of hashCode, see the rules mentioned above for creating a composite primary key
    override fun hashCode(): Int {
        return super.hashCode()
    }
}