package com.merchantsofrome.server.model.id_class

import com.merchantsofrome.server.model.Account
import com.merchantsofrome.server.model.Tree
import java.io.Serializable
import javax.persistence.IdClass


@IdClass(TreeAccountPK::class)
class TreeAccountPK : Serializable {

    var tree: Tree? = null
    var account: Account? = null
    init{
        this.tree=tree
        this.account=account
    }
    // The override of equals, see the rules mentioned above for creating a composite primary key
    override fun equals(other: Any?): Boolean {
        if (other is TreeAccountPK) {
            val treeAccountPK = other as TreeAccountPK?
            if (this.account!!.username == treeAccountPK!!.account!!.username && this.tree!!.name == treeAccountPK.tree!!.name) {
                return true
            }
        } else {
            return false
        }
        return false
    }

    // The override of hashCode, see the rules mentioned above for creating a composite primary key
    override fun hashCode(): Int {
        return super.hashCode()
    }
}