package com.merchantsofrome.server.model.id_class

import com.merchantsofrome.server.model.Account
import java.io.Serializable
import javax.persistence.IdClass


@IdClass(TreePatchPK::class)
class TreePatchPK : Serializable {
    var slotnr: Int? = -1
    var account: Account? = null

    init{
        this.slotnr=slotnr
        this.account=account
    }

    // The override of equals, see the rules mentioned above for creating a composite primary key
    override fun equals(other: Any?): Boolean {
        if (other is TreePatchPK) {
            val treePatchPK = other as TreePatchPK?
            if (this.account!!.username == treePatchPK!!.account!!.username && this.slotnr == treePatchPK.slotnr) {
                return true
            }
        } else {
            return false
        }
        return false
    }

    // The override of hashCode, see the rules mentioned above for creating a composite primary key
    override fun hashCode(): Int {
        return super.hashCode()
    }

}