package com.merchantsofrome.server.repository

import com.merchantsofrome.server.model.FarmPlot
import com.merchantsofrome.server.model.id_class.FarmPlotPK
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface FarmPlotRepository : JpaRepository<FarmPlot, FarmPlotPK>{
    fun getFarmPlotsByAccount_Username(username:String):List<FarmPlot>

    fun getFarmPlotBySlotnrAndAccount_Username( slotnr:Int, username:String):FarmPlot




}