package com.merchantsofrome.server.repository

import com.merchantsofrome.server.model.Account
import com.merchantsofrome.server.model.Fortune
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Modifying
import org.springframework.stereotype.Repository

@Repository
interface FortuneRepository : JpaRepository<Fortune, String>{
    fun getByUsername(username: String):Fortune?
}

