package com.merchantsofrome.server.repository

import com.merchantsofrome.server.model.id_class.OreAccountPK
import com.merchantsofrome.server.model.OreAccount
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface OreAccountRepository : JpaRepository<OreAccount, OreAccountPK> {

    fun getOreAccountByAccount_UsernameAndOreId(username: String, oreId: Int) : OreAccount?

    fun getAllByAccount_Username(username: String) : List<OreAccount>
}