package com.merchantsofrome.server.repository

import com.merchantsofrome.server.model.id_class.TreePatchPK
import com.merchantsofrome.server.model.TreePatch
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface TreePatchRepository : JpaRepository<TreePatch, TreePatchPK>{
    fun getTreePatchesByAccount_Username(username:String):List<TreePatch>

    fun getTreePatchBySlotnrAndAccount_Username( slotnr:Int, username:String):TreePatch

    fun getTreePatchesByAccount_UsernameAndTree_Name(username: String, treeName: String): ArrayList<TreePatch>
}