import {Item} from "./Item";
import {Category, Tab} from "../Enum";

export enum CropName{
    empty = "empty",
    wheat = "wheat",
    grape = "grape",
    lettuce = "lettuce",
    barley = "barley",
    olives = "olives",
    carrot = "carrot",
    cucumber = "cucumber",
}

export class Crop extends Item{
    constructor(name: CropName, amount: number = 0) {
        super(name.toString(), Category.crops, amount);
    }

    displayInTab(tab: Tab): boolean {
        switch(tab){
            case Tab.farming:
                return true;
            default:
                return false;
        }
    }
}