import {Item} from "./Item";
import {Category, Tab} from "../Enum";

export enum FoodName{
    flour = "flour",
    bread = "bread",
    barleyFlour = "barleyFlour",
    wholeGrainBread = "wholeGrainBread",
    multiGrainBread = "multiGrainBread",
}

export class Food extends Item{
    constructor(name: FoodName, amount: number = 0) {
        super(name.toString(), Category.food, amount);
    }

    displayInTab(tab: Tab): boolean {
        switch(tab){
            case Tab.farming:
                return true;
            default:
                return false;
        }
    }
}