import {Item} from "./Item";
import {Category, Tab} from "../Enum";

export enum WoodName{
    logs = "logs",
    planks = "planks",
    boat = "boat"
}

export class Wood extends Item{
    constructor(name: WoodName, amount: number = 0) {
        super(name.toString(), Category.wood, amount);
    }

    displayInTab(tab: Tab): boolean {
        switch(tab){
            case Tab.woodcutting:
                return true;
            default:
                return false;
        }
    }
}