import React, { Component } from 'react';
import {Plant} from "./Plant";
import './Seed.css'
import {Tab} from "../Enum";
import {plantSeeds, setTab} from "../actions/actions";

interface ISeedProps {
    plant: Plant;
    plantSeeds: (plant: Plant)=>void;
}

interface ISeedState {
}


export class Seed extends Component<ISeedProps,ISeedState> {
    state = {
    };

    constructor(props: ISeedProps) {
        super(props);
        this.click = this.click.bind(this);
    }

    componentDidMount() {
    }

    click(){
        this.props.plantSeeds(this.props.plant)
    }

    componentWillUnmount() {
    }

    render() {
        return (
        <div className="seed" onClick={this.click}>
            <img src={this.props.plant.imageUrlSeed()} alt={this.props.plant.Name+" seeds"}/>
        </div>
        )
    }
}

