import {ActionType, Tab} from "../Enum";
import {InventoryList, QuestList} from "../utils";

export function currentQuests(state: QuestList = new QuestList(), action: any){
    if(action.type === ActionType.SET_QUEST){
        let quests = Object.assign(new QuestList(), state);
        quests[action.questId] = action.checkpointReached;
        return quests;
    }
    if(action.type === ActionType.ADD_QUEST){
        let quests = Object.assign(new QuestList(),state);
        quests[action.questId] = 0;
        return quests;
    }
    if(action.type === ActionType.PROGRESS_QUEST){
        let quests = Object.assign(new QuestList(),state);
        quests[action.questId] = quests[action.questId]+1;
        return quests;
    }
    if(action.type === ActionType.COMPLETE_QUEST){
        let quests = new QuestList();
        for(let i in state){
            if(i!=action.questId){
                quests[i] = state[i];
            }else{
                quests[i] = -1;
            }
        }
        return quests;
    }
    return state;
}