import {FeedbackInfo, Fetch, HistoryMap} from "../utils";
import {ActionType} from "../Enum";

export function feedback(state: FeedbackInfo = {finished: true, questions: [], progress: 0}, action: any) {

    if (action.type === ActionType.LOAD_FEEDBACK_QUESTIONS) {
        return {
            questions: action.questions,
            progress: 0,
            finished: action.questions.length == 0
        }
    }

    if (action.type === ActionType.ANSWER_FEEDBACK_QUESTION) {
        return {
            questions: state.questions,
            progress: state.progress+1,
            finished: state.questions.length <= state.progress+1
        }
    }


    return state;
}