import {ActionType} from "../Enum";
import {Mine} from "../mining/Mine";

export function mines(state: Mine[] = [], action: any){

    if (action.type == ActionType.COLLECT_ORE) {
        let mines: Mine[] = [];
        for (let i in action.mines) {
            mines.push(new Mine(action.mines[i].mineId, action.mines[i].timeToMine, action.mines[i].stages));
        }
        return replaceMines(state, mines);
    }

    if (action.type == ActionType.NEW_MINE) {
        return replaceMines(state, action.mines);
    }

    if (action.type == ActionType.UNLOCK_ORE) {
        
    }

    return state;
}

function replaceMines(state: Mine[], newMines: Mine[]) {
    let newState: Mine[] = state.slice(0);

    for (let i = 0; i < newMines.length; i++) {
        let replaced: boolean = false;
        for (let j = 0; j < state.length; j++) {
            let a = newMines[i] ? newMines[i].mineId : -1;
            if (a == state[j].mineId) {
                newState[j] = newMines[i];
                replaced = true;
                break;
            }
        }
        if (!replaced) {
            newState.push(newMines[i]);
        }
    }
    return newState;
}