import React, {Component} from 'react';
import './ScoreboardTab.css';
import {DialogueTools, Fetch, Strings} from '../utils'
import {Item} from "../Items/Item";
import {ScoreboardTabData} from "./Scoreboard";

interface IScoreboardTabState {
}

interface IScoreboardTabProps {
    scoreboardTab: ScoreboardTabData
    setTab: (tabName: string)=>void
    selected: boolean
}

export class ScoreboardTab extends Component<IScoreboardTabProps, IScoreboardTabState> {
    state = {
    };

    constructor(props: IScoreboardTabProps) {
        super(props);
    }

    componentDidMount() {
    }

    img = DialogueTools.imageFunction("scoreboard");


    render() {
        return (
            <div className = {`scoreboard-buttons-button ${this.props.selected?"selected-tab":""}`} onClick={()=>this.props.setTab(this.props.scoreboardTab.name)}>
                {this.img(this.props.scoreboardTab.image)}
                <div className={"scoreboard-buttons-button-text"}>{Strings.decamelize(this.props.scoreboardTab.name)}</div>
            </div>

        )
    }
}