package com.merchantsofrome.server.model

import com.fasterxml.jackson.annotation.JsonManagedReference
import javax.persistence.*
import javax.validation.constraints.NotNull

@Entity
@Table(name = "Ore")
data class Ore (

        @Id
        @Column(name = "oreId", unique = true, nullable = false)
        @NotNull
        val oreId: Int = 0,

        val oreName: String = "",

        val minAmountPerSec: Int = 0,

        val maxAmountPerSec: Int = 0
)