package com.merchantsofrome.server.model

import com.fasterxml.jackson.annotation.JsonBackReference
import com.merchantsofrome.server.model.id_class.OreAccountPK
import javax.persistence.*

@Entity(name = "OreAccount")
@IdClass(OreAccountPK::class)
data class OreAccount (

        @Id
        val oreId: Int = -1,

        @Id
        @ManyToOne(fetch = FetchType.LAZY)
        @JsonBackReference
        val account: Account? = null,

        val totalAmountCollected: Int = 0
)