package com.merchantsofrome.server.model

import javax.persistence.*

@Entity
@Table(name="Process")
data class Process (

        @Id
        var id : Int = -1,

        val name:String = "",

        val duration : Long = -1,

        val category: String = Category.undefined,

        @OneToMany
        val input : MutableSet<ProcessItem> = HashSet(),

        @OneToMany
        val output: MutableSet<ProcessItem> = HashSet()

){
        constructor(id:Int):this(){
             this.id=id
        }
}