package com.merchantsofrome.server.model


import javax.persistence.CascadeType
import javax.persistence.Entity
import javax.persistence.Id
import javax.persistence.OneToOne

@Entity
data class Tree(
        @Id
        var name: String = "",

        var fruitId: Int = -1,

        val growthTimeInMillis: Int = -1,
        val growthTimeFruitInMillis: Int = -1,


        val amountLogsWhenFullyGrownMin: Int = -1,

        val amountLogsWhenFullyGrownMax: Int = -1,

        val amountFruitWhenFullyGrownMin: Int = -1,

        val amountFruitWhenFullyGrownMax: Int = -1

) {
        constructor(name: String) : this(name = name, growthTimeInMillis = -2)
}