package com.merchantsofrome.server.model.id_class

import com.merchantsofrome.server.model.Account
import java.io.Serializable
import javax.persistence.IdClass

@IdClass(ItemAccountPK::class)
class ItemAccountPK : Serializable {

    var itemId: Int = 0
    var account: Account? = null
    init{
        this.itemId=itemId
        this.account=account
    }
    // The override of equals, see the rules mentioned above for creating a composite primary key
    override fun equals(other: Any?): Boolean {
        if (other is ItemAccountPK) {
            val itemAccountPK = other as ItemAccountPK?
            if (this.account!!.username == itemAccountPK!!.account!!.username && this.itemId == itemAccountPK.itemId) {
                return true
            }
        } else {
            return false
        }
        return false
    }

    // The override of hashCode, see the rules mentioned above for creating a composite primary key
    override fun hashCode(): Int {
        return super.hashCode()
    }
}