package com.merchantsofrome.server.model.id_class

import com.merchantsofrome.server.model.Account
import java.io.Serializable
import javax.persistence.IdClass

@IdClass(MinePK::class)
class MinePK : Serializable {

    var mineId: Int? = -1
    var account: Account? = null

    init {
        this.mineId = mineId
        this.account = account
    }

    override fun equals(other: Any?): Boolean {
        if (other is MinePK) {
            val minePK = other as MinePK?
            if (this.account!!.username == minePK!!.account!!.username && this.mineId == minePK.mineId) {
                return true
            }
        }
        return false
    }

    override fun hashCode(): Int {
        return super.hashCode()
    }

}