package com.merchantsofrome.server.model.id_class

import com.merchantsofrome.server.model.Account
import java.io.Serializable
import javax.persistence.IdClass


@IdClass(PlantAccountPK::class)
class PlantAccountPK : Serializable {

    var plantName: String = ""
    var account: Account? = null
    init{
        this.plantName=plantName
        this.account=account
    }
    // The override of equals, see the rules mentioned above for creating a composite primary key
    override fun equals(other: Any?): Boolean {
        if (other is PlantAccountPK) {
            val plantAccountPK = other as PlantAccountPK?
            if (this.account!!.username == plantAccountPK!!.account!!.username && this.plantName == plantAccountPK.plantName) {
                return true
            }
        } else {
            return false
        }
        return false
    }

    // The override of hashCode, see the rules mentioned above for creating a composite primary key
    override fun hashCode(): Int {
        return super.hashCode()
    }
}