package com.merchantsofrome.server.model.id_class


import com.merchantsofrome.server.model.Account
import java.io.Serializable
import javax.persistence.IdClass


@IdClass(ProcessAccountPK::class)
class ProcessAccountPK : Serializable {

    var processId: Int = 0
    var account: Account? = null
    init{
        this.processId=processId
        this.account=account
    }
    // The override of equals, see the rules mentioned above for creating a composite primary key
    override fun equals(other: Any?): Boolean {
        if (other is ProcessAccountPK) {
            val processAccountPK = other as ProcessAccountPK?
            if (this.account!!.username == processAccountPK!!.account!!.username && this.processId!! == processAccountPK.processId) {
                return true
            }
        } else {
            return false
        }
        return false
    }

    // The override of hashCode, see the rules mentioned above for creating a composite primary key
    override fun hashCode(): Int {
        return super.hashCode()
    }
}