package com.merchantsofrome.server.model.id_class


import java.io.Serializable
import javax.persistence.IdClass

@IdClass(ProcessItemPK::class)
class ProcessItemPK : Serializable {

    var itemId: Int = 0
    var processId: Int = 0
    init{
        this.itemId=itemId
        this.processId=processId
    }
    // The override of equals, see the rules mentioned above for creating a composite primary key
    override fun equals(other: Any?): Boolean {
        if (other is ProcessItemPK) {
            val processItemPK = other as ProcessItemPK?
            if (this.processId == processItemPK!!.processId && this.itemId == processItemPK.itemId) {
                return true
            }
        } else {
            return false
        }
        return false
    }

    // The override of hashCode, see the rules mentioned above for creating a composite primary key
    override fun hashCode(): Int {
        return super.hashCode()
    }
}