package com.merchantsofrome.server.repository

import com.merchantsofrome.server.model.Account
import com.merchantsofrome.server.model.FeedbackQuestion
import com.merchantsofrome.server.model.Fortune
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Modifying
import org.springframework.stereotype.Repository

@Repository
interface FeedbackQuestionRepository : JpaRepository<FeedbackQuestion, Int>{

    fun getFeedbackQuestionsByQuestionSetId(questionSetId: Int): List<FeedbackQuestion>
}

