package com.merchantsofrome.server.repository

import com.merchantsofrome.server.model.id_class.ItemAccountPK
import com.merchantsofrome.server.model.ItemAccount
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface ItemAccountRepository : JpaRepository<ItemAccount, ItemAccountPK> {
    fun getItemAccountByAccount_UsernameAndItemId(username:String,itemId:Int):ItemAccount?

    fun getAllByAccount_Username(username:String):List<ItemAccount>
}