package com.merchantsofrome.server.repository

import com.merchantsofrome.server.model.Item
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface ItemRepository : JpaRepository<Item,Int> {
    fun getItemByName(name:String):Item?

    fun getItemsByPriceGreaterThan(price: Int): List<Item>

    fun getItemsByCategory(category: String) : List<Item>
}