package com.merchantsofrome.server.repository

import com.merchantsofrome.server.model.id_class.MinePK
import com.merchantsofrome.server.model.Mine
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface MineRepository : JpaRepository<Mine, MinePK> {

    fun getMineByMineIdAndAccount_Username(mineId: Int, username: String) : Mine

    fun getMineByAccount_Username(username: String) : List<Mine>
}