package com.merchantsofrome.server.repository

import com.merchantsofrome.server.model.Plant
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface PlantRepository : JpaRepository<Plant, String>{
    fun getPlantByName(name: String): Plant?
}