package com.merchantsofrome.server.repository

import com.merchantsofrome.server.model.id_class.ProcessItemPK
import com.merchantsofrome.server.model.ProcessItem
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface ProcessItemRepository : JpaRepository<ProcessItem, ProcessItemPK> {
    fun getProcessItemByProcessIdAndItemId(processId: Int, itemId: Int): ProcessItem?
}