package com.merchantsofrome.server.repository

import com.merchantsofrome.server.model.Process
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface ProcessRepository : JpaRepository<Process, Int> {
    fun getProcessByName(name:String):Process

    fun getProcessById(id: Int): Process?
}