package com.merchantsofrome.server.repository

import com.merchantsofrome.server.model.id_class.QuestPK
import com.merchantsofrome.server.model.Quest
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface QuestRepository : JpaRepository<Quest, QuestPK>{
    fun getQuestByAccount_UsernameAndQuestId(username:String, questId:Int):Quest?

    fun getAllByAccount_UsernameAndCheckpointReachedGreaterThan(username:String, checkpoint:Int):List<Quest>
}