package com.merchantsofrome.server.repository

import com.merchantsofrome.server.model.id_class.TreeAccountPK
import com.merchantsofrome.server.model.TreeAccount
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface TreeAccountRepository : JpaRepository<TreeAccount, TreeAccountPK>{

    fun getTreeAccountsByAccount_Username(username: String): ArrayList<TreeAccount>

    fun getTreeAccountByAccount_UsernameAndTreeName(username: String, treeName:String):TreeAccount?
}