package com.merchantsofrome.server.repository

import com.merchantsofrome.server.model.Plant
import com.merchantsofrome.server.model.Tree
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface TreeRepository : JpaRepository<Tree, String>{
    fun getTreeByName(name: String): Tree?
}