export enum Tab{
    quest = "quest",
    farming = "farming",
    mining = "mining",
    woodcutting = "woodcutting",
    sellInventory = "sellInventory",
    scoreboard = "scoreboard",
    settings = "settings",
    feedback = "feedback",
    //fishing = "fishing"
}

export enum Category{
    crops = "crops",
    ores = "ores",
    food = "food",
    items = "items",
    fruit = "fruit",
    wood = "wood",
    metal = "metal",
}

export enum ActionType{
    //currentTab
    SET_TAB = 'SET_TAB',
    //inventory
    SET_INVENTORY = "SET_INVENTORY",
    INCREASE_INVENTORY = "INCREASE_INVENTORY",
    LOAD_INVENTORY = "LOAD_INVENTORY",
    //unlockedSeeds
    SET_UNLOCKED_SEEDS = "SET_UNLOCKED_SEEDS",
    UNLOCK_SEED = "UNLOCK_SEED",
    //farmPlots
    PLANT_SEEDS = "PLANT_SEEDS",
    HARVEST_SEEDS = "HARVEST_SEEDS",
    UPROOT_SEED = "UPROOT_SEED",
    // miningCaves
    COLLECT_ORE = "COLLECT_ORE",
    NEW_MINE = "NEW_MINE",
    UNLOCK_ORE = "UNLOCK_ORE",
    //currentQuests
    SET_QUEST = "SET_QUEST",
    ADD_QUEST = "ADD_QUEST",
    PROGRESS_QUEST = "PROGRESS_QUEST",
    COMPLETE_QUEST = "COMPLETE_QUEST",
    //processing
    SET_PROCESS = "SET_PROCESS",
    REMOVE_PROCESS = "REMOVE_PROCESS",
    //prices
    SET_PRICE = "SET_PRICE",
    LOAD_PRICES = "LOAD_PRICES",
    // settings
    LOG_OUT = "LOG_OUT",
    LOG_IN = "LOG_IN",
    //woodcutting
    CHOP_TREE = "CHOP_TREE",
    HARVEST_FRUIT = "HARVEST_FRUIT",
    PLANT_TREE = "PLANT_TREE",
    //history
    LOAD_HISTORY = "LOAD_HISTORY",
    ADD_HISTORY_DATA = "ADD_HISTORY_DATA",
    //feedback
    LOAD_FEEDBACK_QUESTIONS = "LOAD_FEEDBACK_QUESTIONS",
    ANSWER_FEEDBACK_QUESTION = "ANSWER_FEEDBACK_QUESTION",
}