import {Item} from "./Item";
import {Category, Tab} from "../Enum";

export enum FruitName{
    empty = "empty",
    apple = "apple",
    peach = "peach",
    orange = "orange",
    chestnut = "chestnut",

}

export class Fruit extends Item{
    constructor(name: FruitName, amount: number = 0) {
        super(name.toString(), Category.fruit, amount);
    }

    displayInTab(tab: Tab): boolean {
        switch(tab){
            case Tab.woodcutting:
                return true;
            default:
                return false;
        }
    }
}