import {Item} from "./Item";
import {Category, Tab} from "../Enum";

export enum ItemsName{
    empty = "empty",
    coins = "coins"
}

export class Items extends Item {
    constructor(name: ItemsName, amount: number = 0) {
        super(name.toString(), Category.items, amount);
    }

    displayInTab(tab: Tab): boolean {
        switch(tab){
            default:
                return false;
        }
    }
}