import {Item} from "./Item";
import {Category, Tab} from "../Enum";

export enum MetalName{
    iron = "iron",
    copper = "copper",
    bronze = "bronze",
    silver = "silver",
    gold = "gold",
    brick ="brick",
    sword = "sword",
    nails = "nails",
}

export class Metal extends Item {
    constructor(name: MetalName, amount: number = 0) {
        super(name.toString(), Category.metal, amount);
    }

    displayInTab(tab: Tab): boolean {
        switch(tab){
            case Tab.mining:
                return true;
            default:
                return false;
        }
    }
}