import {Category, Tab} from "../Enum";
import {Item} from "./Item";


export enum OreName{
    empty = "empty",
    copper = "copperOre",
    silver = "silverOre",
    iron = "ironOre",
    gold = "goldOre",
    stone = "stone",
    clay = "clay",
}

export class Ore extends Item{
    constructor(name: OreName, amount: number = 0) {
        super(name.toString(), Category.ores, amount);
    }

    displayInTab(tab: Tab): boolean {
        switch(tab){
            case Tab.mining:
                return true;
            default:
                return false;
        }
    }
}