import {Component} from "react";
import React from "react";
import './QuestThumb.css';
import {DialogueTools} from "../utils";

interface IQuestThumbState{
}

interface IQuestThumbProps{
    title: string,
    id: number,
    chooseQuest: (id: number) => void,
    finished: boolean
}


class QuestThumb extends Component<IQuestThumbProps,IQuestThumbState>{
    state = {
    };

    constructor(props: IQuestThumbProps) {
        super(props);
    }

    componentDidMount() {

    }


    render() {
        return (
            <div className={`quest-thumb ${this.props.finished?" quest-thumb-finished":""}`} onClick={()=>this.props.chooseQuest(this.props.id)}>
                <div className="quest-thumb-title">{this.props.title}</div>
                {this.props.finished?DialogueTools.imageFunction("quest-thumb")("checkmark"):DialogueTools.imageFunction("quest-thumb")("quest")}
            </div>
        )
    }
}

export default QuestThumb;
