import {QuestLine} from "../QuestLine";
import React from "react";
import {QuestBase} from "../QuestBase";
import {IQuestData, IQuestTools} from "../Quest";



export class Quest4 extends QuestBase {
    static questTitle = "Quest 4";
    constructor(state: IQuestData, tools: IQuestTools) {
        super(state, tools)
    }

    get = () => new QuestLine(4)
        .addCheckpointElementBody(Quest4.questTitle,
            <div>
                You need x amount of coins {QuestBase.image("coins")} to buy some concrete {QuestBase.image("concrete")}. <br/>
                With the concrete you will be able to build some boat places {QuestBase.image("boatPlaces")}.
            </div> /*, () => {Sjekk om bruker har nok gull}*/)
        .addCheckpointElementBody(Quest4.questTitle,
            <div>
                Buy concrete {QuestBase.image("concrete")}.
            </div> /*, () => {Sjekk om bruker har kjøpt betong}*/)
        .addCheckpointElementBody(Quest4.questTitle,
            <div>
                Send the concrete {QuestBase.image("concrete")} to the builder {QuestBase.image("builder")}. <br/> <br/>
                <span className={"quest-warning-span"}>Note that you will loose half of the concrete.</span>
            </div> /*, () => {Sjekk om det er sendt til byggeren}*/)
        .addDialogue(Quest4.questTitle, "Now we just have to wait until the builder is finished." /*, () => {Gå videre når byggern er ferdig}*/)
        .addCheckpointElementBody(Quest4.questTitle,
            <div>
                Congratulations! You do now have five boat places {QuestBase.image("boatPlaces")} to set your boats in and
                you will be able to send the boats {QuestBase.image("boats")} out to start
                fishing {QuestBase.image("fishing")} later on.
            </div> /*, () => {Sjekk om bruker har fått fem båtplasser. Gå videre til neste quest}*/)
        .addFinal(Quest4.questTitle, "Now, lets continue on to the next quest!" /*, () => {Gå videre til neste quest}*/);
}