import {Fetch, HistoryMap} from "../utils";
import {ActionType} from "../Enum";

export function history(state: HistoryMap = new HistoryMap(), action: any) {

    if (action.type === ActionType.LOAD_HISTORY) {
        let historyMap = Object.assign(new HistoryMap(), state);
        historyMap[action.category] = action.history;
        return historyMap
    }

    if (action.type === ActionType.ADD_HISTORY_DATA) {
        let historyMap = Object.assign(new HistoryMap(), state);
        historyMap[action.category][action.name] = state[action.category][action.name]?state[action.category][action.name]+action.amount:action.amount;
        return historyMap
    }

    return state;
}