import {InventoryList, ItemFactory, PriceList} from "../utils";
import {ActionType} from "../Enum";

export function prices(state: PriceList = new PriceList(), action: any){
    if(action.type === ActionType.LOAD_PRICES){
        return Object.assign(new PriceList(), action.priceList)
    }
    if(action.type === ActionType.SET_PRICE){
        let priceList = Object.assign(new PriceList(),state);
        priceList[action.name] = action.price;
        return priceList;
    }

    return state;
}