import {ItemFactory, ProcessList, Time} from "../utils";
import {ActionType} from "../Enum";
import {Item} from "../Items/Item";

export function processing(state: ProcessList = new ProcessList(), action: any) {
    if (action.type === ActionType.SET_PROCESS) {
        let list = Object.assign(new ProcessList(), state);
        let finishTime = action.finishTime?action.finishTime:Time.dateFromTimeLeft(action.time);
        list[action.category] = {name: action.name, amount: action.amount, finishTime};
        console.log(list);
        return list;
    }

    if (action.type === ActionType.REMOVE_PROCESS) {
        let list = new ProcessList();
        for(let key in state){
            if(key!=action.name){
                list[key] = state[key]
            }
        }
        return list;
    }

    return state;
}