import {Plant} from "../farming/Plant";
import {ActionType} from "../Enum";

export function unlockedSeeds(state: Plant[] = [], action: any){
    if(action.type === ActionType.SET_UNLOCKED_SEEDS){
        if(action.unlockedSeeds.hasOwnProperty("length") && action.unlockedSeeds.length>0)
            return action.unlockedSeeds;
        else
            return state;
    }
    if(action.type === ActionType.UNLOCK_SEED){
        return state.concat([action.seed])
    }
    return state;
}